
%global PREFIX /usr/
%global DOMAIN github.com
%global ORG kata-containers
%global PROJECT ksm-throttler
%global IMPORTNAME %{DOMAIN}/%{ORG}/%{PROJECT}

%if 0%{?suse_version}
%define LIBEXECDIR %{_libdir}
%else
%define LIBEXECDIR %{_libexecdir}
%endif

%undefine _missing_build_ids_terminate_build
%define  debug_package %{nil}

Name:      kata-ksm-throttler
Version:   1.12.1
Release:   2%{?dist}
#   0.20210113.git028b8fd
Vendor:    Oracle America
Summary:   KSM throttling daemon for Kata containers
Group:     Development/Tools
License:   Apache-2.0

Source0:   %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: git
BuildRequires: systemd
BuildRequires: golang >= 1.15
%if 0%{?suse_version} && 0%{?is_opensuse}
BuildRequires: openSUSE-release
%endif

Conflicts: cc-ksm-throttler

%description
KSM (Kernel Samepage Merging) is a memory-saving de-duplication feature of Linux kernel.
This component implements algorithm and triggers used by Kata containers to throttle KSM up and down.

%prep
%setup -q

%build
export GOPATH=$HOME/rpmbuild/BUILD/go/

mkdir -p $HOME/rpmbuild/BUILD/go/src/%{DOMAIN}/%{ORG}
ln -s %{_builddir}/kata-ksm-throttler-%{version} $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
cd $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
make \
    COMMIT=028b8fd \
    TARGET=kata-ksm-throttler \
    LIBEXECDIR=%{LIBEXECDIR}

%install
export GOPATH=$HOME/rpmbuild/BUILD/go/

cd $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
make install \
    COMMIT=028b8fd \
    TARGET=kata-ksm-throttler \
    DESTDIR=%{buildroot} \
    LIBEXECDIR=%{LIBEXECDIR}

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%defattr(-,root,root,-)
%{LIBEXECDIR}/kata-ksm-throttler
/usr/lib/systemd/system/kata-ksm-throttler.service
/usr/lib/systemd/system/kata-vc-throttler.service

%changelog
* Tue Mar 23 2021 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.12.1-2
- Golang 1.15.9

* Fri Jan 15 2021 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 1.12.1-1
- Added Oracle Specific Build Files for kata-ksm-throttler
